<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="style.css" rel="stylesheet" media = "screen">
    <title>Document</title>
</head>
<body>
    <div class="log-form">
        <h2>Login to your account</h2>
        <form action="" method="post">
          <input type="text" name="username" placeholder="Username" value = "{{request.form.username}}"/>
          <input type="password" name="password" placeholder="Password" value = "{{request.form.password}}"/>
          <button type="submit"  value="submit">Login</button>
          
        </form>
         {% if error %}
        <p class="error"><strong>Error:</strong> {{ error }}</p>
      {% endif %}
      </div><!--end log form -->    
</body>
</html>